# Delete Stale Devices Scheduled

### Description

This runbook identifies Intune managed devices that have not been active for a defined number of days. It can optionally delete the matching devices and can send an email report.

### Location

Organization → Devices → Delete Stale Devices (Scheduled)

**Full Runbook name**

rjgit-org\_devices\_delete-stale-devices\_scheduled

### Permissions

#### Application permissions

* **Type**: Microsoft Graph
  * DeviceManagementManagedDevices.ReadWrite.All
  * Directory.Read.All
  * Device.Read.All
  * Mail.Send

### Parameters

#### Days

Number of days without activity to be considered stale

| Property      | Value |
| ------------- | ----- |
| Required      | false |
| Default Value | 30    |
| Type          | Int32 |

#### Windows

Include Windows devices in the results

| Property      | Value   |
| ------------- | ------- |
| Required      | false   |
| Default Value | True    |
| Type          | Boolean |

#### MacOS

Include macOS devices in the results

| Property      | Value   |
| ------------- | ------- |
| Required      | false   |
| Default Value | True    |
| Type          | Boolean |

#### iOS

Include iOS devices in the results

| Property      | Value   |
| ------------- | ------- |
| Required      | false   |
| Default Value | True    |
| Type          | Boolean |

#### Android

Include Android devices in the results

| Property      | Value   |
| ------------- | ------- |
| Required      | false   |
| Default Value | True    |
| Type          | Boolean |

#### DeleteDevices

If set to true, the script will delete the stale devices. If false, it will only report them.

| Property      | Value   |
| ------------- | ------- |
| Required      | false   |
| Default Value | False   |
| Type          | Boolean |

#### ConfirmDeletion

If set to true, the script will prompt for confirmation before deleting devices. Should be set to false for scheduled runs.

| Property      | Value   |
| ------------- | ------- |
| Required      | false   |
| Default Value | True    |
| Type          | Boolean |

#### sendAlertTo

Email address to send the report to.

| Property      | Value                     |
| ------------- | ------------------------- |
| Required      | false                     |
| Default Value | <support@glueckkanja.com> |
| Type          | String                    |

#### sendAlertFrom

Email address to send the report from.

| Property      | Value                     |
| ------------- | ------------------------- |
| Required      | false                     |
| Default Value | <runbook@glueckkanja.com> |
| Type          | String                    |

[Back to Runbook Reference overview](/automation/runbooks/runbook-references.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.realmjoin.com/automation/runbooks/runbook-references/org/devices/delete-stale-devices_scheduled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
